import { createApp } from 'vue'
import App from './App.vue'
import './assets/css/style.less';

// document.addEventListener('DOMContentLoaded', () => {
console.log('render jupyter')
const jupyterLinks = Array.from(document.querySelectorAll('a'))

function insertAfter(newNode: HTMLElement, referenceNode: HTMLElement) {
  (referenceNode as any).parentNode.insertBefore(newNode, referenceNode.nextSibling);
}

if (jupyterLinks.length) {
  jupyterLinks.forEach(item => {
    const url = item.innerHTML
    if (!url.includes('.ipynb')) return
    const targetEL = document.createElement('div')
    insertAfter(targetEL, item)
    // item.style.display = 'none'
    createApp(App, {
      url
    }).mount(targetEL)
  })
};
// })
